You are Here:
Install Updates Gimp Error - see Security & Bug Fixes Section Sticky



LiLi 4.4 installs ok, but updates do not

Author (Read 843 times)

0 Members and 1 Guest are viewing this topic.

LiLi 4.4 installs ok, but updates do not
« on: May 17, 2019, 05:08:42 PM »
 

rondi

  • New to Forums
  • *
  • 29
    Posts
  • Country: us
  • Reputation: 2
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: i7-3770

  • MEMORY: 32Gb

  • VIDEO CARD: Intel 4000
I have LiLi 3.8 and 4.0 LIVE on 16gb sticks and they have always updated ok. I formatted Fat32 a new 16gb stick and installed the 4.4 LIVE via Universal USB Installer and it installed with errors. However, at one point it was stuck asking me for a passwor and username--for which I has no idea what to enter--since the Announcement page said u/s & p/w were not used. So then I reformatted Fat32 and used Rufus to install. It too installed with no errors. I used my 4.0 LiLi to change the partition to the full 14.5gb usable.I changed my repo mirror to the US West and I still can not complete the update. After it shows the log, I look at System/Partition and I show 1.8gb used and the rest Unused. If I use File Sytem, it show 60mb Free. So what is the difference. Did I not really add the Unallocated Partition to the Allocated part? Anyway--here is my log with most of the error free stuff removed. I have used sudo apt autoremove numerous times before trying to update. I have also installed Chrome as my default browser.

Hopefully you can point me in the right direction,
Thanks, Ron


===========================
Install Updates Error log
===========================
Install Updates could not successfully download and install available updates.
Go to https://www.linuxliteos.com/forums/ and paste the log below into a new or existing thread for assistance.

============ Log ===========

Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
The following packages were automatically installed and are no longer required:
  libjavascriptcoregtk-1.0-0 libwebkitgtk-1.0-0 mypaint-brushes
Use 'apt autoremove' to remove them.
The following NEW packages will be installed:
  libmypaint-1.3-0 libmypaint-common linux-headers-4.15.0-50
  linux-headers-4.15.0-50-generic linux-image-4.15.0-50-generic
  linux-modules-4.15.0-50-generic linux-modules-extra-4.15.0-50-generic
The following packages will be upgraded:
  apport apt apt-transport-https apt-utils autopoint bash bind9-host binutils

I deleted all the steps there had no errors
 
Preparing to unpack .../065-libstdc++-7-dev_7.4.0-1ubuntu1~18.04_amd64.deb ...
Unpacking libstdc++-7-dev:amd64 (7.4.0-1ubuntu1~18.04) over (7.3.0-27ubuntu1~18.04) ...
Preparing to unpack .../066-libgcc-7-dev_7.4.0-1ubuntu1~18.04_amd64.deb ...
Unpacking libgcc-7-dev:amd64 (7.4.0-1ubuntu1~18.04) over (7.3.0-27ubuntu1~18.04) ...
dpkg: error processing archive /tmp/apt-dpkg-install-tcMSC9/066-libgcc-7-dev_7.4.0-1ubuntu1~18.04_amd64.deb (--unpack):
 cannot copy extracted data for './usr/lib/gcc/x86_64-linux-gnu/7/libgomp.a' to '/usr/lib/gcc/x86_64-linux-gnu/7/libgomp.a.dpkg-new': failed to write (No space left on device)
No apport report written because the error message indicates a disk full error
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../067-libgfortran4_7.4.0-1ubuntu1~18.04_amd64.deb ...
Unpacking libgfortran4:amd64 (7.4.0-1ubuntu1~18.04) over (7.3.0-27ubuntu1~18.04) ...
Preparing to unpack .../068-cpp-7_7.4.0-1ubuntu1~18.04_amd64.deb ...
Unpacking cpp-7 (7.4.0-1ubuntu1~18.04) over (7.3.0-27ubuntu1~18.04) ...
dpkg: error processing archive /tmp/apt-dpkg-install-tcMSC9/068-cpp-7_7.4.0-1ubuntu1~18.04_amd64.deb (--unpack):
 cannot copy extracted data for './usr/lib/gcc/x86_64-linux-gnu/7/cc1' to '/usr/lib/gcc/x86_64-linux-gnu/7/cc1.dpkg-new': failed to write (No space left on device)
No apport report written because the error message indicates a disk full error
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../069-gcc-7-base_7.4.0-1ubuntu1~18.04_amd64.deb ...
Unpacking gcc-7-base:amd64 (7.4.0-1ubuntu1~18.04) over (7.3.0-27ubuntu1~18.04) ...
Preparing to unpack .../070-cpp_4%3a7.4.0-1ubuntu2.2_amd64.deb ...
Unpacking cpp (4:7.4.0-1ubuntu2.2) over (4:7.3.0-3ubuntu2.1) ...
Preparing to unpack .../071-duplicity_0.7.17-0ubuntu1.1_amd64.deb ...
Unpacking duplicity (0.7.17-0ubuntu1.1) over (0.7.17-0ubuntu1) ...
Preparing to unpack .../072-evince_3.28.4-0ubuntu1.1_amd64.deb ...
Unpacking evince (3.28.4-0ubuntu1.1) over (3.28.4-0ubuntu1) ...
Preparing to unpack .../073-libevdocument3-4_3.28.4-0ubuntu1.1_amd64.deb ...
Unpacking libevdocument3-4:amd64 (3.28.4-0ubuntu1.1) over (3.28.4-0ubuntu1) ...
Preparing to unpack .../074-evince-common_3.28.4-0ubuntu1.1_all.deb ...
Unpacking evince-common (3.28.4-0ubuntu1.1) over (3.28.4-0ubuntu1) ...
Preparing to unpack .../075-gstreamer1.0-plugins-base_1.14.1-1ubuntu1~ubuntu18.04.2_amd64.deb ...
Unpacking gstreamer1.0-plugins-base:amd64 (1.14.1-1ubuntu1~ubuntu18.04.2) over (1.14.1-1ubuntu1~ubuntu18.04.1) ...
dpkg: error processing archive /tmp/apt-dpkg-install-tcMSC9/075-gstreamer1.0-plugins-base_1.14.1-1ubuntu1~ubuntu18.04.2_amd64.deb (--unpack):
 unable to make backup link of './usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstplayback.so' before installing new version: No space left on device
No apport report written because the error message indicates a disk full error
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../076-libevview3-3_3.28.4-0ubuntu1.1_amd64.deb ...
Unpacking libevview3-3:amd64 (3.28.4-0ubuntu1.1) over (3.28.4-0ubuntu1) ...
Preparing to unpack .../077-libnautilus-extension1a_1%3a3.26.4-0~ubuntu18.04.4_amd64.deb ...
Unpacking libnautilus-extension1a:amd64 (1:3.26.4-0~ubuntu18.04.4) over (1:3.26.4-0~ubuntu18.04.3) ...
Preparing to unpack .../078-firefox_66.0.5+build1-0ubuntu0.18.04.1_amd64.deb ...
Unpacking firefox (66.0.5+build1-0ubuntu0.18.04.1) over (65.0+build2-0ubuntu0.18.04.1) ...
dpkg: error processing archive /tmp/apt-dpkg-install-tcMSC9/078-firefox_66.0.5+build1-0ubuntu0.18.04.1_amd64.deb (--unpack):
 cannot copy extracted data for './usr/lib/firefox/browser/features/formautofill@mozilla.org.xpi' to '/usr/lib/firefox/browser/features/formautofill@mozilla.org.xpi.dpkg-new': failed to write (No space left on device)
No apport report written because MaxReports is reached already
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Please restart all running instances of firefox, or you will experience problems.
Preparing to unpack .../079-flashplugin-installer_32.0.0.192ubuntu0.18.04.1_amd64.deb ...
Unpacking flashplugin-installer (32.0.0.192ubuntu0.18.04.1) over (32.0.0.142ubuntu0.18.04.1) ...
Preparing to unpack .../080-fonts-opensymbol_2%3a102.10+LibO6.0.7-0ubuntu0.18.04.5_all.deb ...
Unpacking fonts-opensymbol (2:102.10+LibO6.0.7-0ubuntu0.18.04.5) over (2:102.10+LibO6.0.7-0ubuntu0.18.04.2) ...
Preparing to unpack .../081-gcc_4%3a7.4.0-1ubuntu2.2_amd64.deb ...
Unpacking gcc (4:7.4.0-1ubuntu2.2) over (4:7.3.0-3ubuntu2.1) ...
dpkg: unrecoverable fatal error, aborting:
 failed to write status database record about 'gufw' to '/var/lib/dpkg/status': No space left on device
dpkg: error: failed to write status database record about 'gufw' to '/var/lib/dpkg/status': No space left on device
E: Sub-process /usr/bin/dpkg returned an error code (2)
E: Sub-process dpkg --set-selections returned an error code (2)
E: Couldn't revert dpkg selection for approved remove/purge after an error was encountered!

 


Re: LiLi 4.4 installs ok, but updates do not
« Reply #1 on: May 17, 2019, 08:10:37 PM »
 

firenice03

  • Rockin' the FREE World
  • Global Moderator
  • Platinum Level Poster
  • *****
  • 1165
    Posts
  • Country: us
  • Reputation: 225
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: AMD E2//Atom X5//AMD Phenom II X2

  • MEMORY: 4Gb

  • VIDEO CARD: AMD Mullin Radeon R2//Intel//AMD/ATI RS880
@rondi 
You have several lines that say... "... no space left on device.."
Check disk and clean up..

Issuing 'df -h from terminal will show disk usage, as will disks.
You can use Lite Tweaks to also clean up; cache and the alike...

LL 4.6 UEFI 64 bit ASUS E402W - AMD E2 (Quad) 1.5Ghz  - 4GB - AMD Mullins Radeon R2
LL 4.6 64 bit HP 6005- AMD Phenom II X2 - 8GB - AMD/ATI RS880 (HD4200)
LL 4.4 UEFI 64 bit Test UEFI Kangaroo (Mobile Desktop) - Atom X5-Z8500 1.44Ghz - 2GB - Intel HD Graphics
LL 3.8 32 bit Dell Inspiron Mini - Atom N270 1.6Ghz - 1GB - Intel Mobile 945GSE Express
RETIRED LL 2.8 64 bit Dell Optiplex 160 (Thin) - Atom 230 1.6Ghz - 4GB-SiS 771/671 PCIE VGA
Running Linux Lite since LL2.2
 

Re: LiLi 4.4 installs ok, but updates do not
« Reply #2 on: May 18, 2019, 05:51:09 PM »
 

rondi

  • New to Forums
  • *
  • 29
    Posts
  • Country: us
  • Reputation: 2
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: i7-3770

  • MEMORY: 32Gb

  • VIDEO CARD: Intel 4000
Thanks firenice03 for the help. Below are copies of the terminal while df -h and ls of  /dev. All the directories in /dev arfe marked with an X, so I have not tried to delete any of them--iow I have not tried "sudo rm" on any--I don't even know if that would work. IF any of those need to be deleted--How did they get there and Why doesn't sudo Autoremove delete them? The only thing I have done with reinstall is enlarge sbb1 to the full 16gb and Install Updates???

Again--maybe the gparted is not accurate here, but the Size is 14.59gb, Used is 1.35 and Unused is 13.24. Perhaps it is the size of some directories that matter??

linux  ~  df -h
Filesystem      Size  Used Avail Use% Mounted on
udev            1.9G     0  1.9G   0% /dev
tmpfs           388M  2.9M  385M   1% /run
/dev/sdb1        15G  1.4G   14G  10% /cdrom
/dev/loop0      1.3G  1.3G     0 100% /rofs
/cow            1.9G   77M  1.9G   4% /
tmpfs           1.9G     0  1.9G   0% /dev/shm
tmpfs           5.0M  4.0K  5.0M   1% /run/lock
tmpfs           1.9G     0  1.9G   0% /sys/fs/cgroup
tmpfs           1.9G   32K  1.9G   1% /tmp
tmpfs           388M   16K  388M   1% /run/user/999
 linux  ~  

linux  /  dev  ls
autofs           i2c-6               rtc0      tty23  tty57      ttyS31
block            i2c-7               sda       tty24  tty58      ttyS4
bsg              i2c-8               sda1      tty25  tty59      ttyS5
btrfs-control    i2c-9               sda2      tty26  tty6       ttyS6
bus              initctl             sda3      tty27  tty60      ttyS7
cdrom            input               sda5      tty28  tty61      ttyS8
cdrw             kmsg                sda6      tty29  tty62      ttyS9
char             lightnvm            sda7      tty3   tty63      uhid
console          lirc0               sdb       tty30  tty7       uinput
core             log                 sdb1      tty31  tty8       urandom
cpu              loop0               sg0       tty32  tty9       usb
cpu_dma_latency  loop1               sg1       tty33  ttyprintk  userio
cuse             loop2               sg2       tty34  ttyS0      v4l
disk             loop3               shm       tty35  ttyS1      vcs
dri              loop4               snapshot  tty36  ttyS10     vcs1
dvd              loop5               snd       tty37  ttyS11     vcs2
dvdrw            loop6               sr0       tty38  ttyS12     vcs3
ecryptfs         loop7               stderr    tty39  ttyS13     vcs4
fb0              loop-control        stdin     tty4   ttyS14     vcs5
fd               mapper              stdout    tty40  ttyS15     vcs6
freefall         mcelog              tty       tty41  ttyS16     vcs7
full             media0              tty0      tty42  ttyS17     vcsa
fuse             mem                 tty1      tty43  ttyS18     vcsa1
fw0              memory_bandwidth    tty10     tty44  ttyS19     vcsa2
hidraw0          mqueue              tty11     tty45  ttyS2      vcsa3
hidraw1          net                 tty12     tty46  ttyS20     vcsa4
hpet             network_latency     tty13     tty47  ttyS21     vcsa5
hugepages        network_throughput  tty14     tty48  ttyS22     vcsa6
hwrng            null                tty15     tty49  ttyS23     vcsa7
i2c-0            port                tty16     tty5   ttyS24     vfio
i2c-1            ppp                 tty17     tty50  ttyS25     vga_arbiter
i2c-10           psaux               tty18     tty51  ttyS26     vhci
i2c-11           ptmx                tty19     tty52  ttyS27     vhost-net
i2c-2            pts                 tty2      tty53  ttyS28     vhost-vsock
i2c-3            random              tty20     tty54  ttyS29     video0
i2c-4            rfkill              tty21     tty55  ttyS3      zero
i2c-5            rtc                 tty22     tty56  ttyS30
 linux  /  dev  

tia, Ron
 

Re: LiLi 4.4 installs ok, but updates do not
« Reply #3 on: May 19, 2019, 04:04:41 PM »
 

minesheep

  • Occasional Poster
  • **
  • 99
    Posts
  • Country: fi
  • Reputation: 9
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • MEMORY: 4Gb
15gb partition doesn't mean that your casper-rw file is 15gb. I dont know how to make it bigger than 4gb. My "portable" install is LL installed to usb, but it needs at least 16gb memory stick. Just avoid proprietary drivers (they easilly break the compatibility). I have my OSes (LL4.4 and 3,8)on 32gb sticks. Be very carefully and if possible unplug your HDD/SSD when you install the OS to usb stick to prevent any unwanted changes to your HDD/SSD
 

Re: LiLi 4.4 installs ok, but updates do not
« Reply #4 on: June 17, 2019, 08:58:28 PM »
 

bernard stafford

  • KoFi Supporter
  • Occasional Poster
  • *****
  • 65
    Posts
  • Country: us
  • Reputation: 5

  • Linux Lite: 4.4 64bit

  • MEMORY: 8Gb
I read your error log : you are correct this was notated in your error log . you ran out of room when Firefox started updating :  failed to write (No space left on device)
No apport report written because MaxReports is reached already     I copy pasted from your error log.
One of the new version of Firefox update was 89 MB. I remember installing recently.   dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Please restart all running instances of firefox, or you will experience problems. //copy pasted//  Try making Firefox your default browser. It is the default for the Linux lite OS Build..
The only other thing that i would do is re-configure the package :
Code: [Select]
sudo dpkg --configure -adue to the error:E: Sub-process /usr/bin/dpkg returned an error code (2) //I copy pasted
This maybe will remove the code 2 error. Hope this helps out.
Last Edit: June 17, 2019, 10:38:22 PM by bernard stafford
launchpad.net <-               Kernel 5.2.0
debian.org <-
GitHub.com <-
kde.org <-
I stay busy with LINUX,
Together we are LINUX...!
 

Re: LiLi 4.4 installs ok, but updates do not
« Reply #5 on: June 20, 2019, 07:47:14 PM »
 

bernard stafford

  • KoFi Supporter
  • Occasional Poster
  • *****
  • 65
    Posts
  • Country: us
  • Reputation: 5

  • Linux Lite: 4.4 64bit

  • MEMORY: 8Gb
Menu-> System-> Install/Remove Software [Synaptic Package Manager] : At the very bottom of the screen left side: I will say how many broken pipes -> Click on Custom Filters lower left of screen -> Top left of screen Click  Broken -> It will
list Packages are Broken [Broken Pipes] Or which Packages are in Conflict with each other. I Hope This Helps..
launchpad.net <-               Kernel 5.2.0
debian.org <-
GitHub.com <-
kde.org <-
I stay busy with LINUX,
Together we are LINUX...!
 


Tags:
 


Install Updates Gimp Error - see Security & Bug Fixes Section Sticky